Skip to main content

Create Accounting Period

POST /accounting-periods

Description

Create a new accounting period.

Authentication

Bearer Token

Request

Headers

HeaderValueRequired
AuthorizationBearer {{token}}Yes
Content-Typeapplication/jsonYes

Request Body

{
"name": "FY 2026 - Q2",
"startDate": "2026-03-31T22:00:00.000+00:00",
"endDate": "2026-06-31T22:00:00.000+00:00",
"periodType": "QUARTER",
"status": null,
"notes": null,
"fiscalYearIdString": "053fca08-7628-4c0e-85a4-af5d9271ea7f",
"companyIdString": "4f0d7e42-897c-4561-8dd5-fd3c49b9f3d2"
}
FieldTypeRequiredDescription
namestringYesName of the accounting period
startDatestring (ISO 8601)YesStart date of the period
endDatestring (ISO 8601)YesEnd date of the period
periodTypestringYesType of period (e.g., QUARTER, MONTH, YEAR)
statusstringNoStatus of the period
notesstringNoAdditional notes
fiscalYearIdStringstring (UUID)YesID of the associated fiscal year
companyIdStringstring (UUID)YesID of the company